Summary: RPM Auto-Installer or FTP Mirrorer
Name: autorpm
Version: 1.6.1
Release: 1
Copyright: GPL
Group: Utilities/System
URL: http://www.kaybee.org/~kirk/html/linux.html
Source: ftp://ftp.kaybee.org/pub/linux/autorpm-1.6.1.tar.gz
Patch0: autorpm.i386 
Patch1: autorpm.alpha 
Patch2: autorpm.sparc 
Requires: perl,rpm,dialog, perl-libnet,mailx
BuildRoot: /var/tmp/autorpm-build

%description
AutoRPM is a program that can do any combination of the following: mirror RPMs
from  an  FTP  site,  keep installed RPMs consistent with an FTP site or local
directory, and keep installed RPMs in a cluster or network of systems  consis-
tent.   It  is  highly  flexible  and even contains  a very  nice, menu-driven
Interactive-Install mode.


%prep
%setup -q 

%ifarch i386
%patch0 -p1 -b .orig
%endif 

%ifarch alpha
%patch1 -p1 -b .orig
%endif

%ifarch sparc
%patch2 -p1 -b .orig
%endif

%build

%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm

install -m 0755 -d ${RPM_BUILD_ROOT}/usr/sbin
install -m 0755 autorpm.pl ${RPM_BUILD_ROOT}/usr/sbin/autorpm

install -m 0755 -d ${RPM_BUILD_ROOT}/etc
install -m 0644 autorpm.conf ${RPM_BUILD_ROOT}/etc/autorpm.conf

install -m 0755 -d ${RPM_BUILD_ROOT}/usr/man/man5
install -m 0755 -d ${RPM_BUILD_ROOT}/usr/man/man8
install -m 0644 autorpm.conf.5 ${RPM_BUILD_ROOT}/usr/man/man5
install -m 0644 autorpm.8 ${RPM_BUILD_ROOT}/usr/man/man8

install -m 0755 -d ${RPM_BUILD_ROOT}/etc/cron.daily
rm -f ${RPM_BUILD_ROOT}/etc/cron.daily/autorpm

ln -s ../../usr/sbin/autorpm ${RPM_BUILD_ROOT}/etc/cron.daily/autorpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README samples.conf CHANGES CREDITS TODO
%dir /var/spool/autorpm
/etc/autorpm.conf
/usr/sbin/autorpm
%doc /usr/man/man5/autorpm.conf.5
%doc /usr/man/man8/autorpm.8
/etc/cron.daily/autorpm

%changelog
* Fri Oct 02 1998 Michael Maher <mike@redhat.com>
- built pacakger from Kirk's 
